Package com.io7m.jtensors.storage.api.parameterized.vectors

# Interface PVectorStorageIntegral2Type<T>

Type Parameters:
  `T` - A phantom type parameter

All Superinterfaces:
  `PVectorReadable2LType<T>`, `VectorReadable2LType`, `VectorStorageIntegral2Type`, `VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedIntegral2Type<T>`, `PVectorByteBufferedIntegral3Type<T>`, `PVectorByteBufferedIntegral4Type<T>`, `PVectorStorageIntegral3Type<T>`, `PVectorStorageIntegral4Type<T>`

All Known Implementing Classes:
  `PVectorByteBufferedIntegral2s16`, `PVectorByteBufferedIntegral2s32`, `PVectorByteBufferedIntegral2s64`, `PVectorByteBufferedIntegral2s8`, `PVectorByteBufferedIntegral3s16`, `PVectorByteBufferedIntegral3s32`, `PVectorByteBufferedIntegral3s64`, `PVectorByteBufferedIntegral3s8`, `PVectorByteBufferedIntegral4s16`, `PVectorByteBufferedIntegral4s32`, `PVectorByteBufferedIntegral4s64`, `PVectorByteBufferedIntegral4s8`, `PVectorMutable2L`, `PVectorMutable3L`, `PVectorMutable4L`

    public interface PVectorStorageIntegral2Type<T>
    extends PVectorReadable2LType<T>, VectorStorageIntegral2Type

The type of mutable 2D integral number vectors.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `setPVector2I​(PVector2I<T> v)` | Set the components from the given vector.
  `default void` | `setPVector2L​(PVector2L<T> v)` | Set the components from the given vector.

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

  `x, y`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

  `setVector2I, setVector2L, setX, setXY, setY`

- ## Method Details

  - ### setPVector2L

    default void setPVector2L​(PVector2L<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setPVector2I

    default void setPVector2I​(PVector2I<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector